de.dhbwstuttgart.parser

## Class JavaLexer

- java.lang.Object
- - de.dhbwstuttgart.parser.JavaLexer

Direct Known Subclasses:
  Scanner

    public class JavaLexer
    extends java.lang.Object

### Field Summary

Fields
`private int` `commentblock`
`private int` `commentsingleline`
`(package private) Token` `token`
`private int[]` `yy_acpt`
`private boolean` `yy_at_bol`
`private int` `YY_BOL`
`private char[]` `yy_buffer`
`private int` `yy_buffer_end`
`private int` `yy_buffer_index`
`private int` `yy_buffer_read`
`private int` `YY_BUFFER_SIZE`
`private int` `yy_buffer_start`
`private int[]` `yy_cmap`
`private int` `YY_E_INTERNAL`
`private int` `YY_E_MATCH`
`private int` `YY_END`
`private int` `YY_EOF`
`private boolean` `yy_eof_done`
`private java.lang.String[]` `yy_error_string`
`private int` `YY_F`
`private boolean` `yy_last_was_cr`
`private int` `yy_lexical_state`
`private int` `YY_NO_ANCHOR`
`private int` `YY_NO_STATE`
`private int` `YY_NOT_ACCEPT`
`private int[][]` `yy_nxt`
`private java.io.BufferedReader` `yy_reader`
`private int[]` `yy_rmap`
`private int` `YY_START`
`private int[]` `yy_state_dtrans`
`private int` `yychar`
`private int` `YYINITIAL`
`private int` `yyline`

### Constructor Summary

Constructors
`private` `JavaLexer()`
`` `JavaLexer(java.io.InputStream instream)`
`` `JavaLexer(java.io.Reader reader)`

### Method Summary

All Methods Instance Methods Concrete Methods
`private int[][]` `unpackFromString(int size1, int size2, java.lang.String st)`
`private int` `yy_advance()`
`private char[]` `yy_double(char[] buf)`
`private void` `yy_error(int code, boolean fatal)`
`private void` `yy_mark_end()`
`private void` `yy_mark_start()`
`private void` `yy_move_end()`
`private void` `yy_to_mark()`
`private void` `yybegin(int state)`
`private int` `yylength()`
`boolean` `yylex()`
`private java.lang.String` `yytext()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### YY_BUFFER_SIZE

    private final int YY_BUFFER_SIZE

See Also:
  Constant Field Values

#### YY_F

    private final int YY_F

See Also:
  Constant Field Values

#### YY_NO_STATE

    private final int YY_NO_STATE

See Also:
  Constant Field Values

#### YY_NOT_ACCEPT

    private final int YY_NOT_ACCEPT

See Also:
  Constant Field Values

#### YY_START

    private final int YY_START

See Also:
  Constant Field Values

#### YY_END

    private final int YY_END

See Also:
  Constant Field Values

#### YY_NO_ANCHOR

    private final int YY_NO_ANCHOR

See Also:
  Constant Field Values

#### YY_BOL

    private final int YY_BOL

See Also:
  Constant Field Values

#### YY_EOF

    private final int YY_EOF

See Also:
  Constant Field Values

#### token

    Token token

#### yy_reader

    private java.io.BufferedReader yy_reader

#### yy_buffer_index

    private int yy_buffer_index

#### yy_buffer_read

    private int yy_buffer_read

#### yy_buffer_start

    private int yy_buffer_start

#### yy_buffer_end

    private int yy_buffer_end

#### yy_buffer

    private char[] yy_buffer

#### yychar

    private int yychar

#### yyline

    private int yyline

#### yy_at_bol

    private boolean yy_at_bol

#### yy_lexical_state

    private int yy_lexical_state

#### yy_eof_done

    private boolean yy_eof_done

#### commentblock

    private final int commentblock

See Also:
  Constant Field Values

#### YYINITIAL

    private final int YYINITIAL

See Also:
  Constant Field Values

#### commentsingleline

    private final int commentsingleline

See Also:
  Constant Field Values

#### yy_state_dtrans

    private final int[] yy_state_dtrans

#### yy_last_was_cr

    private boolean yy_last_was_cr

#### YY_E_INTERNAL

    private final int YY_E_INTERNAL

See Also:
  Constant Field Values

#### YY_E_MATCH

    private final int YY_E_MATCH

See Also:
  Constant Field Values

#### yy_error_string

    private java.lang.String[] yy_error_string

#### yy_acpt

    private int[] yy_acpt

#### yy_cmap

    private int[] yy_cmap

#### yy_rmap

    private int[] yy_rmap

#### yy_nxt

    private int[][] yy_nxt

### Constructor Detail

#### JavaLexer

    public JavaLexer(java.io.Reader reader)

#### JavaLexer

    public JavaLexer(java.io.InputStream instream)

#### JavaLexer

    private JavaLexer()

### Method Detail

#### yybegin

    private void yybegin(int state)

#### yy_advance

    private int yy_advance()
                    throws java.io.IOException

Throws:
  `java.io.IOException`

#### yy_move_end

    private void yy_move_end()

#### yy_mark_start

    private void yy_mark_start()

#### yy_mark_end

    private void yy_mark_end()

#### yy_to_mark

    private void yy_to_mark()

#### yytext

    private java.lang.String yytext()

#### yylength

    private int yylength()

#### yy_double

    private char[] yy_double(char[] buf)

#### yy_error

    private void yy_error(int code,
                          boolean fatal)

#### unpackFromString

    private int[][] unpackFromString(int size1,
                                     int size2,
                                     java.lang.String st)

#### yylex

    public boolean yylex()
                  throws java.io.IOException

Throws:
  `java.io.IOException`